View Issue Details

IDProjectCategoryView StatusLast Update
0006910Multi Theft Auto : San AndreasClientpublic2015-05-07 22:54
ReporterMrMuLTiVaNAssigned ToJusonex 
PrioritynoneSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.5Fixed in Version1.5 
Summary0006910: Request video support [CEF]
Description

GUI embedded video playback.
Awesomium is an embeddable webbrowser that is based on Chromium.

TagsNo tags attached.

Relationships

has duplicate 0005746 closed New issues Requesting extra plugins for BASS audio library 
has duplicate 0005651 closed New issues Add DSHOW to BASS 
has duplicate 0005662 closed New issues Integrate Berkelium for more opportunities 

Activities

diegofkda

2012-02-28 07:36

viewer   ~~0016171

Why not? It would be very useful, but very difficulty to make to the MTA team.

qaisjp

2012-03-18 14:11

administrator   ~~0016312

Last edited: 2012-03-18 14:11

u mean to play .avis and such? mta team might have problem with getting codecs and such, they might want to keep mta light.

but i +1 it

WolfPire

2012-03-27 17:53

viewer   ~~0016379

It will actually be a good problem to do this. As for codecs and this kind of stuff...

So instead of loading videos from host. Why not load YouTube videos using the links? =)

There are many games that use Flash to render YouTube videos, clear example: vSide which allows you to play your vidoes by inserting a youtube link.

It's actually quite heave idea tho. But yeah, it would be nice.

csmit195

2012-04-05 08:18

viewer   ~~0016421

Add support for SWF. GIF. Also allow SWF to be remote like sound is. FLV is whats SWF is used in flash.

PhatLooser

2012-04-16 10:01

reporter   ~~0016481

Last edited: 2012-04-16 18:29

I want to remind you that MTA is no webbrowser, and even though I adore the idea to play youtube flash videos, I dislike the fact that it might need to be done via Adobe Flash, a program known to be the first to be hacked.
Since MTA runs as root on some computers this may end up in a mass hacking.

Just to remind you, some days ago someone tried to hack an MTA server of mine. It wasn't a big deal, but if his intend would have been to attack the server itself (and not the root machine) it would have been successful. Now imagine a 13 year old idiot with the will to create a botnet and some social engineering skills.

Remi-X

2012-06-13 17:24

reporter   ~~0016811

just talking bout some football and gamemode features
[17:17] <Wafamde> Ooooh.. DX BALL IN XS!
[17:17] <~Remi-X> lol
[17:17] <Wafamde> Best game ever
[17:17] <Wafamde> Remember it?
[17:17] <~Remi-X> WAIT WAIT
[17:17] <~Remi-X> WHAT
[17:17] <~Remi-X> ABOUT
[17:17] <~Remi-X> LIVESTREAMING OF FOOTBALL
[17:17] <Wafamde> O_o
[17:17] <Wafamde> Yeah..
[17:17] <Wafamde> Seriously...
[17:17] <~Remi-X> OMG I WANT VIDEO FUNCTIONS
[17:17] <~Remi-X> imagine
[17:17] <Wafamde> Ye..
[17:18] <~Remi-X> everyone being at one place
[17:18] <~Remi-X> watching football on a bigass screen
[17:18] <~Remi-X> HOLY DAMN FUCK

Just HAD to note that runs

Geramy

2012-08-04 02:01

viewer   ~~0017197

would be nice for ingametutorial videos :P

BieHDC

2013-10-13 17:27

viewer   ~~0019488

+1

Dragon

2013-10-16 01:07

reporter   ~~0019501

I don't really think this would get us anywhere useful with mta, except for even more ridiculous amounts of downloads on every server join.

Dutchman101

2013-10-16 02:57

updater   ~~0019503

@Dragon, not if the video is being streamed from another host/YouTube.

You could use an video player apart that includes a codec, integrate it to stream...

Some server owners could play introduction video's, tutorials, and such.

But.. if this is ever being developed... Yes, this is hard to create, it could be 1.4 or later (alot of work and a major feature)

In this case, +1 from me.

socialz

2013-10-16 14:17

viewer   ~~0019506

More like 2.0.

Dragon

2013-10-19 16:10

reporter   ~~0019517

Only fun component about it I could think of would be render it on a 3d surface and watch it (half ways) in sync with other players. Would be quite a task though.

sora

2013-12-18 13:05

viewer   ~~0019803

Last edited: 2013-12-18 13:46

View 2 revisions

What about that ?
make a option in client and server to enable or disable the video feature
if the client doesn't want to enable this feature he will simply uncheck it
so he will not be able to watch videos in game like others
also if the server owner doesn't want to enable this feature in his server he will just change something like <video>1</video> to <video>0</video> in server configuration file.
and you can add something like if the client wants to enable this feature he will be required to download/install a kind of codecs ..

ALBANDER

2013-12-18 13:19

viewer   ~~0019805

Last edited: 2013-12-18 13:46

View 6 revisions

@ sora , +1

you forget something like that : "make option in mtaserver.conf if player uncheck video option will be required to enable video feature".

and it is nice to make a function to Video record for player screen.

(Video must not exceed two minutes)

sora

2013-12-18 13:51

viewer   ~~0019806

Last edited: 2013-12-18 14:15

View 2 revisions

i didn't forget anything in my comment.

Gallardo9944

2013-12-31 22:42

viewer   ~~0019898

Last edited: 2013-12-31 22:43

View 2 revisions

Nice idea, but it would be a nightmare to make this possible. Codecs are the proprietary crap in Open Source. Cause if MTA states to be under GPL, that means those proprietary codecs should be available as buildable source codecs, -> impossible. Though creating a simple video is kinda possible with drawing and saving screen sources and playing that back.

CWanted

2014-01-11 13:12

updater   ~~0019966

Chromium Embedded Framework (prev. Berkelium) https://code.google.com/p/chromiumembedded/

Inspirator

2014-01-28 02:52

viewer   ~~0020094

Would be very nice to see this in MTA:SA.
In Garry's Mod they have scripted a YouTube player and project it on in-game screens/textures with lua. Check it out: http://www.youtube.com/watch?v=gceedIPSAjc

Exciter

2014-06-21 18:13

viewer   ~~0021073

CEF would be a cool addition to MTA that brings a lot of possibilities. But for videos I'd want to be able to replace textures with videos (e.g. using fetchRemote to get a video and replacing using a shader, just like we replace textures with remote images). But a integrated browsers brings a lot more possibilities too. Perhaps make a separate issue for CEF integration?

ixjf

2014-06-21 18:20

viewer   ~~0021074

Last edited: 2014-06-21 23:25

View 4 revisions

Jusonex is already working on implementing Awesomium into MTA: https://code.google.com/p/mtasa-blue/source/browse/#svn%2Fbranches%2Fawesomium

Inspirator

2014-11-17 13:39

viewer   ~~0022496

Does Awesomium use HTML5? HTML5 supports playback of videos...

arranTuna

2014-11-17 13:43

manager   ~~0022497

It's CEF now.

Jusonex

2014-11-17 16:21

administrator   ~~0022502

Does Awesomium use HTML5? HTML5 supports playback of videos...
Yes, CEF does. As CEF is based upon Chromium (almost) all video codecs Google Chrome supports are also supported by CEF.

Issue History

Date Modified Username Field Change